// Created with MonoDevelop
//
//    QuickStep: Acquire, view and identify spectra 
//    Copyright (C) 2017 Thomas Klose & Torsten Schache, Hiperscan GmbH Dresden, Germany
//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.


using Hiperscan.Common.I18n;
using Hiperscan.PdfLib;


namespace Hiperscan.Extensions.ApoIdent.Report
{
    public class Austria : GermanTemplate
    {
        public Austria(ReportInfo report_info) : base(report_info)
        {
        }

        protected override void CreateHeader()
        {
            this.Layout.SetFont(PdfFontTypes.HELVETICA, 14, PdfColors.Black);

            if (this.ReportInfo.ProtocolType != ProtocolType.ApoIdent && Locale.Language == "de")
            {
                this.Layout.Feed(11);
                this.Layout.AddParagraph("NIR Messprotokoll", PdfTextAlignments.Center);
                this.Layout.Feed(13);
            }
            else
            {
                this.Layout.SetFont(PdfFontTypes.HELVETICA, 13, PdfColors.Black);
                this.Layout.AddParagraph("Prüfprotokoll zur Feststellung der Identität von Ausgangsstoffen",
                    PdfTextAlignments.Center);    

                this.Layout.Feed(20);                        
                this.Layout.SetFont(PdfFontTypes.HELVETICA, 10, PdfColors.Black);
                this.Layout.AddParagraph("(§ 5 Abs. 3 und 4 Arzneibuchgesetz 2012 - ABG 2012 und",
                    PdfTextAlignments.Center);    

                this.Layout.Feed(12);                
                this.Layout.SetFont(PdfFontTypes.HELVETICA, 10, PdfColors.Black);
                this.Layout.AddParagraph("§ 8 Abs. 2 Z 8 Apothekenbetriebsordnung 2005 - ABO 2005)",
                    PdfTextAlignments.Center);                            
            }
        }
    }
}

